- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- HISTORY
- COPYRIGHT

# NAME

GENERAL_NAME, GENERAL_NAME_set1_X509_NAME - GENERAL_NAME method routines

# SYNOPSIS

    #include <openssl/x509v3.h>

    typedef struct GENERAL_NAME_st GENERAL_NAME;

    int GENERAL_NAME_set1_X509_NAME(GENERAL_NAME **tgt, const X509_NAME *src);

# DESCRIPTION

GENERAL_NAME_set1_X509_NAME() creates a new GENERAL_NAME of type GEN_DIRNAME and populates it based on provided X509_NAME src which can be NULL. tgt must not be NULL. If successful, *tgt will be set to point to the newly created GENERAL_NAME.

# RETURN VALUES

GENERAL_NAME_set1_X509_NAME() return 1 on success, 0 on error.

# HISTORY

GENERAL_NAME_set1_X509_NAME() was added in OpenSSL 3.4.

# COPYRIGHT

Copyright 2007-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.